# LanguagePackHeader Struct Reference

Header of a language file. More...

`#include <strgen.h>`

Inherited by LanguagePack.

## Data Fields

uint32 | ident
| 32-bits identifier
uint32 | version
| 32-bits of auto generated version info which is basically a hash of strings.h
char | name [32]
| the international name of this language
char | own_name [32]
| the localized name of this language
char | isocode [16]
| the ISO code for the language (not country code)
uint16 | offsets [32]
| the offsets
char | digit_group_separator [8]
| Thousand separator used for anything not currencies.
char | digit_group_separator_currency [8]
| Thousand separator used for currencies.
char | digit_decimal_separator [8]
| Decimal separator.
byte | plural_form
| plural form index
byte | text_dir
| default direction of the text
uint16 | winlangid
| Windows language ID: Windows cannot and will not convert isocodes to something it can use to determine whether a font can be used for the language or not.
uint8 | newgrflangid
| newgrf language id
byte | pad [3]
| pad header to be a multiple of 4

## Detailed Description

Header of a language file.

Definition at line 16 of file strgen.h.

## Field Documentation

uint16 LanguagePackHeader::winlangid

Windows language ID: Windows cannot and will not convert isocodes to something it can use to determine whether a font can be used for the language or not.

As a result of that we need to pass the language id via strgen to OpenTTD to tell what language it is in "Windows". The ID is the 'locale identifier' on: http://msdn.microsoft.com/en-us/library/ms776294.aspx windows language id

Definition at line 40 of file strgen.h.

The documentation for this struct was generated from the following file:

- src/strgen/strgen.h